Bug 395061 - Reboot is GUI default.
Reboot is GUI default.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 19:09 EST by Felix Bellaby
Modified: 2007-12-31 09:52 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.28
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-31 09:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Bellaby 2007-11-21 19:09:13 EST
When the "You can either reboot now or choose to do so at a later time" dialog
box is brought up then "Reboot now" is the default option.

This is bad GUI design as the option with least impact ("Reboot later") should
always be the default.

As it is, pirut might interrupt the user without warning and misinterpret their
next keystroke as confirmation that they wish to reboot the system before they
realize what is going on. This could result in them losing whatever they were
doing at the time.

I suggest that you switch the default to "reboot later".
Comment 1 Jeremy Katz 2007-11-26 10:58:41 EST
Fixed in git; will be in pirut > 1.3.27
Comment 2 Fedora Update System 2007-11-28 20:34:10 EST
pirut-1.3.27-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pirut'
Comment 3 Fedora Update System 2007-12-06 15:45:38 EST
pirut-1.3.28-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-12-06 15:55:15 EST
pirut-1.3.28-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jeremy Katz 2007-12-31 09:52:06 EST
New versions of pirut have been released that should address these issues

Note You need to log in before you can comment on or make changes to this bug.